<?xml version="1.0" encoding="UTF-8"?>
<!--
Pantalla para el registro de tablas de avaluos de actualizacion

25-11-2015

@author felipe.cadena
@mb RegistroTablasActualizacionMB
@cu CU-NP-CO-257 Registrar Tablas de Actualización

-->
<!DOCTYPE html>
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                template="/templates/generalCU.xhtml">

    <ui:define name="title">.::Sistema Nacional Catastral::. .::Registro tablas actualización::.
    </ui:define>
    <ui:define name="content">


        <h:form id="registroTablasForm">
            <p:messages id="msgsGS" showDetail="false" globalOnly="false"/>


            <p:fieldset>
                <legend class="legendTitle">
                    Cargue de información de Actualización al SNC
                </legend>


                <p:spacer height="13" width="13"/>

                <h:panelGrid columns="4" cellpadding="2" width="25%">
                    <h:outputLabel for="consultaPredioDepartamento"
                                   value="Departamento: " styleClass="outputLabelStyle"/>
                    <h:selectOneMenu id="consultaPredioDepartamento"
                                     label="Departamento"
                                     value="#{registroTablasActualizacion.departamentoSeleccionado}">
                        <f:selectItem itemLabel="Seleccionar..." itemValue=""/>
                        <f:selectItems
                                value="#{registroTablasActualizacion.departamentosItemList}"/>
                        <p:ajax listener="#{registroTablasActualizacion.actualizarMunicipiosListener}"
                                update="consultaPredioMunicipio" onstart="statusDialog2.show();"
                                oncomplete="statusDialog2.hide();"/>
                    </h:selectOneMenu>

                    <h:outputLabel for="consultaPredioMunicipio" value="Municipio: "
                                   styleClass="outputLabelStyle"/>
                    <h:selectOneMenu id="consultaPredioMunicipio" label="Municipio"
                                     value="#{registroTablasActualizacion.municipioSeleccionado}">
                        <f:selectItem itemLabel="Seleccionar..." itemValue=""/>
                        <f:selectItems value="#{registroTablasActualizacion.municipiosItemList}"/>

                        <p:ajax event="change"
                                update=":registroTablasForm, buscarBtn"/>

                    </h:selectOneMenu>
                    <h:outputLabel for="consultaVigencia" value="Año: "
                                   styleClass="outputLabelStyle"/>
                    <h:selectOneMenu id="consultaVigencia" label="Año"
                                     value="#{registroTablasActualizacion.vigenciaSeleccionada}">
                        <f:selectItems value="#{registroTablasActualizacion.vigenciasItemList}"/>

                        <p:ajax event="change"
                                update=":registroTablasForm, buscarBtn"/>

                    </h:selectOneMenu>
                </h:panelGrid>


                <p:spacer height="13" width="13"/>
                <p:outputPanel layout="block" style="text-align:left">

                    <p:spacer height="13" width="13"/>

                    <p:commandButton value="Establecer" widgetVar="buscarBtn" id="buscarBtn"
                                     icon="ui-icon ui-icon-search" update=":registroTablasForm"
                                     action="#{registroTablasActualizacion.establecerCargues}"
                                     onstart="statusDialog2.show();"
                                     onsuccess="statusDialog2.hide();"/>
                    <p:spacer height="13" width="13"/>
                </p:outputPanel>

                <p:spacer height="13" width="13"/>


                <p:tabView orientation="left" dynamic="true" id="tablasTB">

                    <p:ajax event="tabChange"
                            listener="#{registroTablasActualizacion.onTabChange}"
                            update="tablasTB" />

                    <p:tab title="Cargue alfanúmerico"
                           id="tabCargueAlfa">

                        <p:fieldset toggleable="true"
                                    toggleSpeed="500">
                            <legend>
                                <h:outputText value="Método de cargue"
                                              styleClass="legendTitle"/>
                            </legend>

                            <h:outputText style="font-size:16px;"
                                          value="Seleccione el método por el cual va a realizar el cargue
                        de la información, Tenga en cuenta que solo es posible realizar un cargue a la vez."/>
                            <br/>


                            <p:spacer height="20" width="13"/>

                            <p:outputPanel layout="block" style="text-align:left"
                                           id="panelBtnCargue">

                                <p:spacer height="13" width="13"/>

                                <p:commandButton value="Cargue mediante conexión"
                                                 disabled="true"
                                                 icon="ui-icon-check"
                                                 action="#{registroTablasActualizacion.cargarOpcionesCargaTablas}"/>
                                <p:spacer height="13" width="13"/>

                                <p:commandButton value="Cargue mediante archivo"
                                                 disabled="#{!registroTablasActualizacion.permitirCargue || registroTablasActualizacion.cargueFinalizado}"
                                                 icon="ui-icon-arrowstop-1-n" update=":registroTablasForm,
                                             tabReportesTablasActualizacion"
                                                 onstart="statusDialog2.show();"
                                                 onsuccess="statusDialog2.hide(); cargarArchivosWV.show();"/>
                                <p:spacer height="13" width="13"/>

                            </p:outputPanel>

                        </p:fieldset>

                        <p:spacer height="15" width="13"/>


                        <p:fieldset toggleable="true"
                                    toggleSpeed="500">

                            <legend>
                                <h:outputText value="Cargues realizados"
                                              styleClass="legendTitle"/>
                            </legend>

                            <h:outputText style="font-size:16px;"
                                          value="Predios cargados en CICA: #{registroTablasActualizacion.cantidadPrediosCica}"/>
                            <br/>
                            <h:outputText style="font-size:16px;"
                                          value="Predios cargados en SNC:  #{registroTablasActualizacion.cantidadPrediosSnc}"/>
                            <br/>
                            <br/>

                            <p:dataTable id="procesosActualizacionDT"
                                         value="#{registroTablasActualizacion.procesosCargue}"
                                         var="proceso"
                                         paginator="true" rows="10" rowKey="#{proceso.id}"
                                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                         rowsPerPageTemplate="5,10,15" paginatorPosition="bottom"

                                         emptyMessage="No se encontraron procesos activos.">

                                <!--                    <p:ajax event="rowSelect"
                                                            listener="#{radicacionActualizacion.seleccionarProcesoListener}"
                                                            update=":datosActualizacionForm"/>
                                                    <p:ajax event="rowUnselect"
                                                            listener="#{radicacionActualizacion.seleccionarProcesoListener}"
                                                            update=":datosActualizacionForm"/>-->

                                <p:column headerText="Código">
                                    <h:outputText value="#{proceso.departamento.codigo}"
                                                  styleClass="outputTextStyleInTable"/>
                                </p:column>

                                <p:column headerText="Departamento">
                                    <h:outputText value="#{proceso.departamento.nombre}"
                                                  styleClass="outputTextStyleInTable"/>
                                </p:column>


                                <p:column headerText="Municipio">
                                    <h:outputText value="#{proceso.municipio.nombre}"
                                                  styleClass="outputTextStyleInTable"/>
                                </p:column>
                                <p:column headerText="Archivo"
                                          sortBy="#{proceso.archivoAlfanumerico}">
                                    <h:outputText value="#{proceso.archivoAlfanumerico}"
                                                  styleClass="outputTextStyleInTable"/>
                                </p:column>
                                <p:column headerText="Estado" sortBy="#{proceso.estado}">
                                    <h:outputText value="#{proceso.estado}"
                                                  styleClass="outputTextStyleInTable"/>
                                </p:column>
                                <p:column headerText="Fecha de adición">
                                    <h:outputText value="#{proceso.observaciones}"
                                                  styleClass="outputTextStyleInTable"/>
                                </p:column>

                                <p:column headerText="Cant. Predios">
                                    <h:outputText value="#{proceso.predios}"
                                                  styleClass="outputTextStyleInTable"/>
                                </p:column>
                                <p:column headerText="Opciones">


                                    <p:spacer height="0" width="5"/>
                                    <p:commandButton title="Eliminar"
                                                                       disabled="#{!(proceso.estado == 'ERROR')}"
                                                                       oncomplete="eliminarCargueWV.show();statusDialog2.hide();"
                                                                       onstart="statusDialog2.show();"
                                                                       update=":eliminarCargueForm"
                                                                       action="#{registroTablasActualizacion.descargarArchivoDevueltos}"
                                                                       icon="ui-icon-trash">
                                    <f:setPropertyActionListener value="#{proceso}"
                                                                 target="#{registroTablasActualizacion.cargueSeleccionado}"/>

                                    </p:commandButton>
                                    <p:spacer height="0" width="5"/>


                                    <p:commandButton immediate="true" ajax="false"
                                                     title="Reporte inconsistencias"
                                                     disabled="#{!(proceso.estado == 'ERROR')}"
                                                     action="#{registroTablasActualizacion.generarReporteInconsistencias}"
                                                     icon="ui-icon-calculator">
                                        <f:setPropertyActionListener value="#{proceso}"
                                                                     target="#{registroTablasActualizacion.cargueSeleccionado}"/>
                                        <p:fileDownload
                                                value="#{registroTablasActualizacion.reporteInconsistencias}"/>
                                    </p:commandButton>

                                    <p:spacer height="0" width="5"/>

                                    <p:spacer height="13" width="13"/>
                                </p:column>
                            </p:dataTable>
                            <p:spacer height="10" width="13"/>
                            <p:outputPanel layout="block" style="text-align:right">

                                <p:spacer height="40" width="13"/>
                                <p:commandButton value="Refrescar"
                                                 icon="ui-icon-refresh"
                                                 update=":registroTablasForm"
                                                 onstart="statusDialog2.show();"
                                                 onsuccess="statusDialog2.hide();"/>
                                <p:spacer height="0" width="20"/>

                            </p:outputPanel>
                            <p:spacer height="10" width="13"/>

                        </p:fieldset>

                    </p:tab>

                    <p:tab title="Información alfanumérica"
                           id="tabInfoAlfa">

                        <p:fieldset toggleable="true"
                                    toggleSpeed="500">

                            <h:panelGrid columns="4" cellpadding="2" width="25%">
                                <h:outputLabel
                                        value="Departamento: " styleClass="outputLabelStyle"/>
                                <h:outputText style="font-size:16px;"
                                              value="#{registroTablasActualizacion.departamentoSeleccionado}"/>

                                <h:outputLabel
                                        value="Municipio: " styleClass="outputLabelStyle"/>
                                <h:outputText style="font-size:16px;"
                                              value="#{registroTablasActualizacion.municipioSeleccionado}"/>

                            </h:panelGrid>


                            <br/>

                            <h:panelGrid columns="4" cellpadding="2">

                                <p:fieldset>
                                    <legend class="legendTitle">
                                        Información general
                                    </legend>

                                    <p:commandButton value="Resumen predios"
                                                     disabled="#{registroTablasActualizacion.cargueFinalizado}"
                                                     icon="ui-icon-check"
                                                     onstart="statusDialog2.show();"
                                                     oncomplete="resumenPrediosWV.show();statusDialog2.hide();"
                                                     action="#{registroTablasActualizacion.buscarResumenPredios}"/>

                                    <h:panelGrid cellspacing="7" columns="2">


                                        <h:outputLabel value="Predios cargados en CICA: "
                                                       styleClass="outputLabelStyle" />
                                        <h:outputText
                                                value="#{registroTablasActualizacion.cantidadPrediosCica}"
                                                styleClass="outputTextStyle" />

                                        <h:outputLabel value="Predios cargados en SNC: "
                                                       styleClass="outputLabelStyle" />
                                        <h:outputText
                                                value="#{registroTablasActualizacion.cantidadPrediosSnc}"
                                                styleClass="outputTextStyle" />

                                        <h:outputLabel value="Ultima fecha cargue exitoso: "
                                                       styleClass="outputLabelStyle" />

                                        <h:outputText value="#{registroTablasActualizacion.fechaCargueExitoso}"
                                                      styleClass="outputTextStyle">
                                            <f:convertDateTime pattern="#{general.formatoFechaUsuario2}"
                                                               type="date"/>
                                        </h:outputText>

                                    </h:panelGrid>

                                </p:fieldset>

                                <p:fieldset>
                                    <legend class="legendTitle">
                                        Información de omisiones y comisiones
                                    </legend>
                                    <p:commandButton value="Generar informe omisiones y comisiones"
                                                     disabled="#{registroTablasActualizacion.cargueFinalizado}"
                                                     icon="ui-icon-check"
                                                     action="#{registroTablasActualizacion.generarInformeOmisiones}"/>


                                    <h:panelGrid cellspacing="7" columns="4">



                                        <h:outputLabel value="Predios en omisión: "
                                                       styleClass="outputLabelStyle" />
                                        <h:outputText
                                                value="#{registroTablasActualizacion.prediosOmision}"
                                                styleClass="outputTextStyle" />

                                        <h:outputLabel value="Predios en comisión: "
                                                       styleClass="outputLabelStyle" />
                                        <h:outputText
                                                value="#{registroTablasActualizacion.prediosOmision}"
                                                styleClass="outputTextStyle" />

                                        <h:outputLabel value="Estado informe: "
                                                       styleClass="outputLabelStyle" />
                                        <h:outputText
                                                value=""
                                                styleClass="outputTextStyle" />

                                        <h:outputLabel value="Última fecha de generación: "
                                                       styleClass="outputLabelStyle" />
                                        <h:outputText
                                                value=""
                                                styleClass="outputTextStyle" />

                                    </h:panelGrid>


                                </p:fieldset>
                                <p:fieldset>
                                    <legend class="legendTitle">
                                        Preliquidar
                                    </legend>

                                    <p:commandButton value="Preliquidar"
                                                     disabled="#{registroTablasActualizacion.cargueFinalizado || !registroTablasActualizacion.tablasCargadas}"
                                                     icon="ui-icon-check"
                                                     update=":registroTablasForm"
                                                     action="#{registroTablasActualizacion.preliquidar}"/>

                                    <h:panelGrid cellspacing="7" columns="2">

                                    <h:outputLabel value="Estado de preliquidación: "
                                                   styleClass="outputLabelStyle" />
                                    <h:outputText
                                            value=""
                                            styleClass="outputTextStyle" />

                                    <h:outputLabel value="Última fecha de preliquidación: "
                                                   styleClass="outputLabelStyle" />
                                    <h:outputText
                                            value=""
                                            styleClass="outputTextStyle" />

                                    </h:panelGrid>

                                </p:fieldset>
                                <p:fieldset>
                                    <legend class="legendTitle">
                                        Renumeración geográfica
                                    </legend>

                                    <p:commandButton value="Renumerar"
                                                     disabled="true"
                                                     icon="ui-icon-check"
                                                     action="#{registroTablasActualizacion.renumerar}"/>

                                    <h:panelGrid cellspacing="7" columns="2">

                                        <h:outputLabel value="Estado de renumeración: "
                                                       styleClass="outputLabelStyle" />
                                        <h:outputText
                                                value=""
                                                styleClass="outputTextStyle" />

                                        <h:outputLabel value="Última fecha de renumeración: "
                                                       styleClass="outputLabelStyle" />
                                        <h:outputText
                                                value=""
                                                styleClass="outputTextStyle" />

                                    </h:panelGrid>

                                </p:fieldset>
                            </h:panelGrid>


                            <p:spacer height="20" width="13"/>
                            <p:messages id="infoAlfanumericaMsgs"/>


                            <p:outputPanel layout="block" style="text-align:left"
                                           id="panelBtnRevisar">

                                <p:spacer height="13" width="13"/>

                                <p:commandButton value="Devolver selección a CICA"
                                                 disabled="#{registroTablasActualizacion.cargueFinalizado}"
                                                 icon="ui-icon-check"
                                                 update="infoAlfanumericaMsgs"
                                                 onstart="statusDialog2.show();"
                                                 oncomplete="handleCompleteSIC(xhr, status, args, devolverPrediosWV, true);statusDialog2.hide();"
                                                action="#{registroTablasActualizacion.setupDevolverPredios}"/>
                                <p:spacer height="13" width="13"/>

                                <p:commandButton value="Filtros avanzados"
                                                 action="#{registroTablasActualizacion.setupFiltros}"
                                                 icon="ui-icon-arrowstop-1-n" update=":filtrosAvanzadosForm"
                                                 onstart="statusDialog2.show();"
                                                 onsuccess="statusDialog2.hide(); filtrosAvanzadosWV.show();"/>
                                <p:spacer height="13" width="13"/>

                                <p:commandButton value="Refrescar"
                                                 icon="ui-icon-refresh"
                                                 update=":registroTablasForm"
                                                 onstart="statusDialog2.show();"
                                                 onsuccess="statusDialog2.hide();"/>
                                <p:spacer height="0" width="20"/>

                                <p:spacer height="13" width="13"/>

                            </p:outputPanel>

                        </p:fieldset>

                        <p:spacer height="15" width="13"/>


                        <p:fieldset toggleable="true"
                                    toggleSpeed="500">

                            <p:dataTable id="prediosProyectadosDT"
                                         value="#{registroTablasActualizacion.prediosProyectadosCargue}"
                                         var="predio"

                                         paginator="true" rows="10" rowKey="#{predio.numeroPredialSnc}"
                                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                         rowsPerPageTemplate="5,10,15" paginatorPosition="bottom"
                                         selection="#{registroTablasActualizacion.prediosProyectadosSeleccionados}"
                                         emptyMessage="No se encontraron predios proyetados.">

                                <!--                    <p:ajax event="rowSelect"
                                                            listener="#{radicacionActualizacion.seleccionarProcesoListener}"
                                                            update=":datosActualizacionForm"/>
                                                    <p:ajax event="rowUnselect"
                                                            listener="#{radicacionActualizacion.seleccionarProcesoListener}"
                                                            update=":datosActualizacionForm"/>-->

                                <f:facet name="header">
                                    Predios proyectados
                                </f:facet>
                                <p:columnGroup type="header">
                                    <p:row>
                                        <p:column rowspan="2" headerText="Sel."/>
                                        <p:column rowspan="2" headerText="No. Predial SNC"  sortBy="#{predio.numeroPredialSnc}"
                                                  filterBy="#{predio.numeroPredialSnc}"/>
                                        <p:column rowspan="2" headerText="No. Predial CICA" sortBy="#{predio.numeroPredialCica}"
                                                  filterBy="#{predio.numeroPredialCica}"/>
                                        <p:column rowspan="2" headerText="Estado"/>
                                        <p:column colspan="3" headerText="Área terreno (m2)"/>
                                        <p:column colspan="3" headerText="Área construida (m2)"/>
                                        <p:column colspan="3" headerText="Avalúo (m2)"/>
                                        <p:column rowspan="2" headerText="Fecha cargue"/>

                                    </p:row>
                                    <p:row>
                                        <p:column headerText="Inicial"/>
                                        <p:column headerText="Final"/>
                                        <p:column headerText="Variación(%)"/>
                                        <p:column headerText="Inicial"/>
                                        <p:column headerText="Final"/>
                                        <p:column headerText="Variación(%)"/>
                                        <p:column headerText="Inicial"/>
                                        <p:column headerText="Final"/>
                                        <p:column headerText="Variación(%)"/>
                                    </p:row>
                                </p:columnGroup>


                                <p:column selectionMode="multiple"/>

                                <p:column>

                                    <h:outputText value="#{predio.numeroPredialSnc}"
                                                  styleClass="outputTextStyleInTable"/>
                                </p:column>

                                <p:column>
                                    <h:outputText value="#{predio.numeroPredialCica}"
                                                  styleClass="outputTextStyleInTable"/>
                                </p:column>

                                <p:column>
                                    <h:outputText value="#{predio.estado}"
                                                  styleClass="outputTextStyleInTable">
                                    </h:outputText>
                                </p:column>

                                <p:column>
                                    <h:outputText value="#{predio.areaTerrenoInicial}"
                                                  styleClass="outputTextStyleInTable"/>
                                </p:column>
                                <p:column>
                                    <h:outputText value="#{predio.areaTerrenoFinal}"
                                                  styleClass="outputTextStyleInTable"/>
                                </p:column>
                                <p:column>
                                    <h:outputText value="#{predio.areaTerrenoVariacion}"
                                                  styleClass="outputTextStyleInTable">

                                        <f:convertNumber type="percent" minFractionDigits="2"/>

                                    </h:outputText>
                                </p:column>
                                <p:column>
                                    <h:outputText value="#{predio.areaConstruccionInicial}"
                                                  styleClass="outputTextStyleInTable"/>
                                </p:column>
                                <p:column>
                                    <h:outputText value="#{predio.areaConstruccionFinal}"
                                                  styleClass="outputTextStyleInTable"/>
                                </p:column>
                                <p:column>
                                    <h:outputText value="#{predio.areaConstruccionVariacion}"
                                                  styleClass="outputTextStyleInTable">
                                        <f:convertNumber type="percent" minFractionDigits="2"/>

                                    </h:outputText>
                                </p:column>
                                <p:column>
                                    <h:outputText value="#{predio.avaluoInicial}"
                                                  styleClass="outputTextStyleInTable">
                                        <f:convertNumber type="number" />
                                    </h:outputText>
                                </p:column>
                                <p:column>
                                    <h:outputText value="#{predio.avaluoFinal}"
                                                  styleClass="outputTextStyleInTable">
                                        <f:convertNumber type="number" />
                                    </h:outputText>
                                </p:column>
                                <p:column>
                                    <h:outputText value="#{predio.avaluoVariacion}"
                                                  styleClass="outputTextStyleInTable">
                                        <f:convertNumber type="percent" minFractionDigits="2"/>

                                    </h:outputText>
                                </p:column>

                                <p:column>
                                    <h:outputText value="#{predio.fechaCargue}"
                                                  styleClass="outputTextStyleInTable">
                                        <f:convertDateTime pattern="#{general.formatoFechaUsuario2}"
                                                           type="date"/>
                                    </h:outputText>
                                </p:column>


                            </p:dataTable>

                            <p:spacer height="10" width="13"/>

                        </p:fieldset>
                        <p:spacer height="13" width="13"/>

                        <p:outputPanel layout="block" style="text-align:left">

                            <p:spacer height="13" width="13"/>

                            <p:commandButton value="Cierre de liquidación"
                                             disabled="#{registroTablasActualizacion.cargueFinalizado || !registroTablasActualizacion.carguePreliquidado}"
                                             icon="ui-icon-check"
                                             update="infoAlfanumericaMsgs"
                                             onstart="statusDialog2.show();"
                                             oncomplete="handleCompleteSIC(xhr, status, args, confirmarFinalizacionWV, true);statusDialog2.hide();"
                                             action="#{registroTablasActualizacion.setupConfirmarLiquidacion}"/>

                        </p:outputPanel>

                    </p:tab>

                    <p:tab title="Registrar tablas" disabled="#{registroTablasActualizacion.cargueFinalizado}"
                           id="tabConsulta">
                        <p:fieldset>
                            <legend class="legendTitle">
                                Documento Soporte
                            </legend>	
                            
                            <p:spacer height="13" width="13"/>
                             
                            <p:commandButton value="Cargar documento soporte"
                                             disabled="#{registroTablasActualizacion.cargueSoporteDocumento}"
                                             onstart="statusDialog2.show(); "
                                             oncomplete="handleCompleteSIC(xhr, status, args, cargarArchivosDocumentosWV, true);statusDialog2.hide();"/>
                            <h:outputLabel value="Resolución de zona:"
                                          styleClass="outputLabelStyle" style="margin-left: 100px;"/>
                            
                            <p:commandLink id="descargaSoporte" styleClass="commandLinkStyle" 
                                           disabled="#{registroTablasActualizacion.estadoSoporteDocumento}"
                                           value="#{registroTablasActualizacion.nombreSoporteDocumento}"
                                           actionListener="#{registroTablasActualizacion.descargaPdfSoporte}"
                                           ajax="false" process="@this">
                                 <p:fileDownload value="#{registroTablasActualizacion.documentoSoporte}" />
                            </p:commandLink>
                            
                        </p:fieldset>
                        
                        <p:spacer height="13" width="13"/>
                        <legend>
                            <h:outputText value="Tablas cargadas en actualización"
                                          styleClass="legendTitle"/>
                        </legend>

                        <p:dataTable id="archivosTablasDT"
                                     value="#{registroTablasActualizacion.valoresActualizacion}"
                                     var="valor"
                                     paginator="true" rows="10" rowKey="#{valor.id}"
                                     paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                     rowsPerPageTemplate="5,10,15" paginatorPosition="bottom"
                                     emptyMessage="No se encontraron archivos cargados para el municipio seleccionado."
                                     selection="#{registroTablasActualizacion.archivosTablasSeleccionados}">
                            
                            <p:column headerText="Seleccionar" selectionMode="multiple" style="width:16px;text-align:center">
                            </p:column>

                            <p:column headerText="Tipo tabla">
                                <h:outputText value="#{valor.tipo}"
                                              styleClass="outputTextStyleInTable"/>
                            </p:column>

                            <p:column headerText="Zona">

                                <p:commandLink update=":detallesOpcionForm"
                                               onstart="statusDialog2.show();"
                                               action="#{registroTablasActualizacion.cargarDetallesOpcion}"
                                               oncomplete="detallesOpcionWV.show();statusDialog2.hide();"
                                               ajax="true">
                                    <h:outputText value="#{valor.firstZona}"
                                                  styleClass="commandLinkStyleInTable"/>
                                    <f:setPropertyActionListener value="#{valor}"
                                                                 target="#{registroTablasActualizacion.valorActualizacionSeleccionado}"/>
                                    <f:setPropertyActionListener value="ZONA"
                                                                 target="#{registroTablasActualizacion.opcionSeleccionadaDetalle}"/>
                                </p:commandLink>

                            </p:column>

                            <p:column headerText="Sector">
                                <p:commandLink update=":detallesOpcionForm"
                                               onstart="statusDialog2.show();"
                                               action="#{registroTablasActualizacion.cargarDetallesOpcion}"
                                               oncomplete="detallesOpcionWV.show();statusDialog2.hide();"
                                               ajax="true">
                                    <h:outputText value="#{valor.firstSector}"
                                                  styleClass="commandLinkStyleInTable"/>
                                    <f:setPropertyActionListener value="#{valor}"
                                                                 target="#{registroTablasActualizacion.valorActualizacionSeleccionado}"/>
                                    <f:setPropertyActionListener value="SECTOR"
                                                                 target="#{registroTablasActualizacion.opcionSeleccionadaDetalle}"/>
                                </p:commandLink>
                            </p:column>
                            <p:column headerText="ZHF">
                                <p:commandLink update=":detallesOpcionForm"
                                               onstart="statusDialog2.show();"
                                               action="#{registroTablasActualizacion.cargarDetallesOpcion}"
                                               oncomplete="detallesOpcionWV.show();statusDialog2.hide();"
                                               ajax="true">
                                    <h:outputText value="#{valor.firstZhf}"
                                                  styleClass="commandLinkStyleInTable"/>
                                    <f:setPropertyActionListener value="#{valor}"
                                                                 target="#{registroTablasActualizacion.valorActualizacionSeleccionado}"/>
                                    <f:setPropertyActionListener value="ZHF"
                                                                 target="#{registroTablasActualizacion.opcionSeleccionadaDetalle}"/>
                                </p:commandLink>

                            </p:column>
                            <p:column headerText="Destino">
                                <p:commandLink update=":detallesOpcionForm"
                                               onstart="statusDialog2.show();"
                                               action="#{registroTablasActualizacion.cargarDetallesOpcion}"
                                               oncomplete="detallesOpcionWV.show();statusDialog2.hide();"
                                               ajax="true">
                                    <h:outputText value="#{valor.firstDestino}"
                                                  styleClass="commandLinkStyleInTable"/>
                                    <f:setPropertyActionListener value="#{valor}"
                                                                 target="#{registroTablasActualizacion.valorActualizacionSeleccionado}"/>
                                    <f:setPropertyActionListener value="DESTINO"
                                                                 target="#{registroTablasActualizacion.opcionSeleccionadaDetalle}"/>
                                </p:commandLink>
                            </p:column>
                            <p:column headerText="Uso">
                                <p:commandLink update=":detallesOpcionForm"
                                               onstart="statusDialog2.show();"
                                               action="#{registroTablasActualizacion.cargarDetallesOpcion}"
                                               oncomplete="detallesOpcionWV.show();statusDialog2.hide();"
                                               ajax="true">
                                    <h:outputText value="#{valor.firstUso}"
                                                  styleClass="commandLinkStyleInTable"/>
                                    <f:setPropertyActionListener value="#{valor}"
                                                                 target="#{registroTablasActualizacion.valorActualizacionSeleccionado}"/>
                                    <f:setPropertyActionListener value="USO"
                                                                 target="#{registroTablasActualizacion.opcionSeleccionadaDetalle}"/>
                                </p:commandLink>
                            </p:column> 
                            <p:column headerText="Vigencia">
                                <h:outputText
                                        value="#{valor.vigencia}"
                                        styleClass="outputTextStyle">
                                    <f:convertDateTime pattern="#{general.formatoFecha}"
                                                       type="date"/>
                                </h:outputText>
                            </p:column>

                            <p:column headerText="Nombre tabla">
                                <h:outputText value="#{valor.nombre}"
                                              styleClass="outputTextStyleInTable"/>
                            </p:column>

                            <p:column headerText="Opciones">
                                <p:spacer height="0" width="5"/>
                                <p:commandButton title="Eliminar"
                                                 onstart="statusDialog2.show();"
                                                 update=":registroTablasForm"
                                                 oncomplete="statusDialog2.hide();confirmarEliminacionWV.show();"
                                                 immediate="true" ajax="true" icon="ui-icon-trash">
                                    <f:setPropertyActionListener value="#{valor}"
                                                                 target="#{registroTablasActualizacion.valorActualizacionSeleccionado}"/>
                                </p:commandButton>
                                <p:spacer height="0" width="5"/>
                                <p:commandButton title="Detalles"
                                                 onstart="statusDialog2.show();"
                                                 action="#{registroTablasActualizacion.generarReporteDeTerrenoOConstruccion}"
                                                 update=":registroTablasForm,:viewReportTerrenoOConstruccion:vistaMemoForm"
                                                 oncomplete="statusDialog2.hide();visorReporteTerrenoOConstruccionWV.show();"
                                                 immediate="true" ajax="true" icon="ui-icon-search">
                                    <f:setPropertyActionListener
                                            value="#{valor}"
                                            target="#{registroTablasActualizacion.valorActualizacionSeleccionado}"/>
                                </p:commandButton>

                                <p:spacer height="13" width="13"/>
                            </p:column>


                        </p:dataTable>

                        <p:spacer height="20" width="13"/>

                        <p:outputPanel layout="block" style="text-align:left" id="panelBtns"
                                       rendered="#{registroTablasActualizacion.banderaProcesoActivo}">

                            <p:spacer height="13" width="13"/>

                            <p:commandButton value="Cargar nueva tabla"
                                             disabled="#{registroTablasActualizacion.banderaProcesoFinalizado}"
                                             icon="ui-icon-check"
                                             action="#{registroTablasActualizacion.cargarOpcionesCargaTablas}"
                                             update=":cargarTablaForm, :registroTablasForm"
                                             onstart="statusDialog2.show(); "
                                             oncomplete="handleCompleteSIC(xhr, status, args, cargarTablaWV, true);statusDialog2.hide();"/>
                            <p:spacer height="13" width="13"/>

                            <p:commandButton value="Recalcular"
                                             disabled="#{registroTablasActualizacion.banderaProcesoFinalizado}"
                                             icon="ui-icon-circle-close" update=":registroTablasForm,
                                             tabReportesTablasActualizacion"
                                             action="#{registroTablasActualizacion.calcularAvaluosMuncipio}"
                                             onstart="statusDialog2.show();"
                                             onsuccess="statusDialog2.hide();"/>
                            <p:spacer height="13" width="13"/>

                            <p:commandButton value="Finalizar"
                                             disabled="#{registroTablasActualizacion.banderaProcesoFinalizado}"
                                             icon="ui-icon-circle-close"
                                             update=":registroTablasForm"
                                             onstart="statusDialog2.show();"
                                             onsuccess="statusDialog2.hide();confirmarFinalizacionWV.show();"/>
                            <p:spacer height="13" width="13"/>

                        </p:outputPanel>
                        <p:spacer height="20" width="13"/>

                    </p:tab>

                    <p:tab title="Reportes"
                           id="tabReportesTablasActualizacion">

                        <ui:include src="reportesTablasActualizacion.xhtml"/>


                    </p:tab>


                </p:tabView>

            </p:fieldset>


            <p:spacer height="20" width="13"/>


            <p:outputPanel layout="block" style="text-align:right">

                <p:spacer height="40" width="13"/>
                <p:commandButton value="Cerrar"
                                 icon="ui-icon-circle-close"
                                 action="#{registroTablasActualizacion.cerrar}"
                                 onstart="statusDialog2.show();" onsuccess="statusDialog2.hide();"/>
                <p:spacer height="0" width="20"/>

            </p:outputPanel>
            <p:spacer height="40" width="13"/>

        </h:form>

        <p:dialog header="Guardar tablas" dynamic="true"
                  widgetVar="cargarTablaWV" modal="true" appendToBody="true"
                  resizable="true" position="center" width="800" height="500">

            <ui:include src="cargarTablasActualizacion.xhtml">
            </ui:include>

        </p:dialog>


        <p:dialog header="Detalles" dynamic="true"
                  widgetVar="detallesOpcionWV" modal="true" appendToBody="true"
                  resizable="true" position="center" width="300" height="150">

            <h:form id="detallesOpcionForm">

                <p:dataTable id="detallesDT"
                             value="#{registroTablasActualizacion.detallesOpcion}" var="valor"
                             paginator="true" rows="10" rowKey="#{valor.value}"
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             rowsPerPageTemplate="5,10,15" paginatorPosition="bottom"
                             emptyMessage="No se encontraron archivos cargados para el municipio seleccionado.">

                    <p:column headerText="Codigo">
                        <h:outputText value="#{valor.value}"
                                      styleClass="outputTextStyleInTable"/>
                    </p:column>

                    <p:column headerText="Nombre">
                        <h:outputText value="#{valor.label}"
                                      styleClass="outputTextStyleInTable"/>
                    </p:column>

                </p:dataTable>

                <p:spacer height="10"/>

                <div style="text-align: center;">
                    <p:commandButton value="Cerrar" icon="ui-icon-close"
                                     onclick="detallesOpcionWV.hide();"/>
                </div>


            </h:form>


        </p:dialog>

        <p:dialog header="Cargar archivos " dynamic="true"
                  widgetVar="cargarArchivosWV" modal="true" appendToBody="true"
                  resizable="true" position="center" width="550" height="180">
            <h:form id="cargarArchivosForm">

                <p:spacer height="10" width="13"/>
                <p:messages id="cargarArchivosMsgs"/>
                <p:spacer height="10" width="13"/>


                <h:panelGrid columns="2" cellpadding="10">

                    <p:fileUpload id="fu" label="Cargar documento" style="width: 500px;"
                                  fileUploadListener="#{registroTablasActualizacion.archivoUpload}"
                                  immediate="true"
                                  dragDropSupport="true"
                                  invalidFileMessage="Tipo de archivo no válido. Verifique que sea un archivo .ZIP"
                                  invalidSizeMessage="El archivo seleccionado supera el tamaño permitido"
                                  widgetVar="uploader" mode="advanced" auto="true"
                                  sizeLimit="524288000" allowTypes="/(\.zip)$/"
                                  update="fu, :cargarArchivosForm"
                                  onstart="statusDialog2.show();"
                                  oncomplete="statusDialog2.hide();"/>

                </h:panelGrid>


                <p:outputPanel layout="block" style="text-align:center">
                    <p:commandButton value="Guardar"
                                     disabled="#{!registroTablasActualizacion.banderaArchivoCargado}"
                                     update="cargarArchivosMsgs, :prediosProyectadosForm, :registroTablasForm"
                                     action="#{registroTablasActualizacion.procesarArchivoCarga}"
                                     onstart="statusDialog2.show();"
                                     oncomplete="showAlternativeDialog(args, cargarArchivosWV, prediosProyectadosWV);statusDialog2.hide(); cargarArchivosWV.hide();"
                                     icon="ui-icon-check"/>
                    <p:spacer width="10"/>
                    <p:commandButton value="Cancelar" icon="ui-icon-close"
                                     onclick="cargarArchivosWV.hide();"/>
                </p:outputPanel>
                <p:spacer height="20" width="13"/>
            </h:form>
        </p:dialog>
        
        <p:dialog header="Cargar archivos" dynamic="true"
                  widgetVar="cargarArchivosDocumentosWV" modal="true" appendToBody="true"
                  resizable="true" position="center" width="550" height="180">
            <h:form id="cargarArchivosPdfForm">

                <p:spacer height="10" width="13"/>
                <p:messages id="cargarArchivosMsgs"/>
                <p:spacer height="10" width="13"/>


                <h:panelGrid columns="2" cellpadding="10">

                    <p:fileUpload id="fu1" label="Cargar documento" style="width: 500px;"
                                  fileUploadListener="#{registroTablasActualizacion.archivoUploadDocumentos}"
                                  immediate="true"
                                  dragDropSupport="true"
                                  invalidFileMessage="Tipo de archivo no válido. Verifique que sea un documento de tipo PDF"
                                  invalidSizeMessage="El archivo seleccionado supera el tamaño permitido"
                                  widgetVar="uploader" mode="advanced" auto="true"
                                  sizeLimit="524288000" allowTypes="/(\.pdf|\.PDF)$/"
                                  update="fu1, :cargarArchivosPdfForm"
                                  onstart="statusDialog2.show();"
                                  oncomplete="statusDialog2.hide();"/>

                </h:panelGrid>


                <p:outputPanel layout="block" style="text-align:center">
                    <p:commandButton value="Guardar"
                                     disabled="#{!registroTablasActualizacion.banderaArchivoCargado}"
                                     update="cargarArchivosMsgs, :prediosProyectadosForm, :registroTablasForm"
                                     action="#{registroTablasActualizacion.procesarArchivoCargaPdf}"
                                     onstart="statusDialog2.show();"
                                     oncomplete="showAlternativeDialog(args, cargarArchivosDocumentosWV, prediosProyectadosWV);statusDialog2.hide(); cargarArchivosDocumentosWV.hide();"
                                     icon="ui-icon-check"/>
                    <p:spacer width="10"/>
                    <p:commandButton value="Cancelar" icon="ui-icon-close"
                                     onclick="cargarArchivosDocumentosWV.hide();"/>
                </p:outputPanel>
                <p:spacer height="20" width="13"/>
            </h:form>
        </p:dialog>

        <p:dialog header="Predios proyectados " dynamic="true"
                  widgetVar="prediosProyectadosWV" modal="true" appendToBody="true"
                  resizable="true" position="center" width="550" height="400">
            <h:form id="prediosProyectadosForm">

                <p:spacer height="10" width="13"/>
                <p:messages id="prediosProyectadoMsgs"/>
                <p:spacer height="10" width="13"/>

                Los siguiente predios ya se encuentran entre los predios previamente cargados en el
                SNC para la actualización


                <h:panelGrid columns="1" cellpadding="10">


                    <p:dataTable id="prediosProyectadosDT"
                                 value="#{registroTablasActualizacion.prediosProyectados}"
                                 var="valor"
                                 paginator="true" rows="10" rowKey="#{valor}"
                                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                 rowsPerPageTemplate="5,10,15" paginatorPosition="bottom"
                                 emptyMessage="No se encontraron archivos cargados para el municipio seleccionado.">

                        <p:column headerText="Predios previamente cargados">
                            <h:outputText value="#{valor}"
                                          styleClass="outputTextStyleInTable"/>
                        </p:column>

                    </p:dataTable>

                    <p:panel rendered = "#{registroTablasActualizacion.prediosProyectadosSnc}">

                        <div style="font-size:14px; text-align:justify;">

                        No se pueden realizar cargues de información de actualización para este municipio.
                        Existen predios, en el municipio seleccionado, que tienen trámites en curso con
                        resolución proyectada en el proceso de Conservación.
                        Por favor finalice dichos trámites para poder iniciar el proceso de cargue
                        de la información de actualización para el municipio.
                        </div>

                    </p:panel>

                    <p:panel rendered = "#{!registroTablasActualizacion.prediosProyectadosSnc}">

                    <div style="font-size:14px; text-align:justify;">

                        <b>¿Desea realizar el cargue completo sobrescribiendo los predios
                            previamente cargados?</b>
                        <br/>
                        Tenga en cuenta que si los predios a
                        sobrescribir se encuentran asociados
                        (mediante englobe o desenglobe) a
                        otros predios previamente cargados,
                        se eliminará la información cargada de
                        dichos predios al momento de
                        sobrescribir.
                        Para rechazar el cargue, por favor asegúrese de tener el listado de todos
                        los
                        predios de dicho cargue, para que desde CICA puedan volver a descargarse
                        desde
                        la opción correspondiente.
                    </div>
                    </p:panel>

                    <p:commandButton immediate="true" ajax="false"
                                     value="Archivo para devolver cargue al CICA"
                                     id="descargarDevolverCICABtn"
                                     update=":prediosProyectadosForm"
                                     icon="ui-icon-calculator">

                        <f:setPropertyActionListener value="true"
                                                     target="#{registroTablasActualizacion.archivoDevueltoDescargado}"/>

                        <p:fileDownload
                                value="#{registroTablasActualizacion.archivoDevueltoCica}"/>
                    </p:commandButton>


                </h:panelGrid>

                <p:outputPanel layout="block" style="text-align:center">
                    <p:commandButton value="Sobrescribir"
                                     update="prediosProyectadoMsgs, :registroTablasForm"
                                     action="#{registroTablasActualizacion.procesarCargueDirecto}"
                                     onstart="statusDialog2.show();"
                                     oncomplete="prediosProyectadosWV.hide(); statusDialog2.hide();"
                                     id="sobreecribirBtn"
                                     disabled = "#{registroTablasActualizacion.prediosProyectadosSnc}"
                                     icon="ui-icon-check"/>
                    <p:spacer width="10"/>
                    <p:commandButton value="Rechazar" icon="ui-icon-close"
                                     disabled="false"
                                     onclick="prediosProyectadosForm.hide();"/>
                </p:outputPanel>
                <p:spacer height="20" width="13"/>
            </h:form>
        </p:dialog>


        <p:dialog header="Confirmación eliminación de registro " dynamic="true"
                  widgetVar="eliminarCargueWV" modal="true" appendToBody="true"
                  resizable="true" position="center" width="550" height="400">
            <h:form id="eliminarCargueForm">

                <p:spacer height="10" width="13"/>
                <p:messages id="prediosProyectadoMsgs"/>
                <p:spacer height="10" width="13"/>

                <h:panelGrid columns="1" cellpadding="10">

                    <div style="font-size:14px; text-align:justify;">
                        <b>¿Está seguro que desea eliminar el registro del cargue? </b>
                        <br/>
                        Si va a eliminar el registro, por favor asegúrese de tener el listado de
                        predios
                        incluidos, para que desde CICA puedan volver a descargarse desde la opción
                        correspondiente, ya que una vez extraídos no serán nuevamente incluidos en
                        los
                        siguientes cargues, a menos que se indique lo contrario.
                        <br/>
                    </div>

                    <h:outputText style="font-size:16px;"
                                  value="Predios en éste cargue: "/>
                    <br/>

                    <p:commandButton immediate="true" ajax="false"  update=":eliminarCargueForm:panelBtnsEP"
                                     value="Archivo para devolver cargue al CICA"
                                     action="#{registroTablasActualizacion.consultarArchivoCargue}"
                                     icon="ui-icon-calculator">
                        <p:fileDownload
                                value="#{registroTablasActualizacion.archivoDevueltoCica}"/>
                    </p:commandButton>


                </h:panelGrid>

                <p:outputPanel layout="block" id="panelBtnsEP" style="text-align:center; margin-top:10px;">
                    <p:commandButton value="Aceptar"
                                     update="prediosProyectadoMsgs, :registroTablasForm"
                                     action="#{registroTablasActualizacion.eliminarCargue}"
                                     onstart="statusDialog2.show();"
                                     oncomplete="eliminarCargueWV.hide(); statusDialog2.hide();"
                                     icon="ui-icon-check"/>
                    <p:spacer width="10"/>
                    <p:commandButton value="Rechazar" icon="ui-icon-close"
                                     onclick="eliminarCargueWV.hide();"/>
                </p:outputPanel>
                <p:spacer height="20" width="13"/>
            </h:form>
        </p:dialog>

        <p:dialog height="900" width="1000" resizable="false" dynamic="true"
                  widgetVar="filtrosAvanzadosWV" header="Filtros avanzados"
                  modal="true" appendToBody="true" position="center" closable = "true">
            <ui:include src="filtrosAvanzadosCargue.xhtml" />

        </p:dialog>



        <p:dialog header="Confirmación devolver predios " dynamic="true"
                  widgetVar="devolverPrediosWV" modal="true" appendToBody="true"
                  resizable="true" position="center" width="550" height="400">
            <h:form id="devolverPrediosForm">

                <p:spacer height="10" width="13"/>
                <p:messages id="devolverPrediosMsgs"/>
                <p:spacer height="10" width="13"/>

            <p:fieldset>


            <h:panelGrid columns="1" cellpadding="10">

                    <div style="font-size:14px; text-align:justify;">
                        ¿Está seguro que desea devolver los predios seleccionados?
                        Se eliminará la información alfanumérica cargada así como la
                        preliquidación asociada.
                        Tenga en cuenta que si los predios a
                        devolver se encuentran asociados
                        (mediante englobe o desenglobe) a otros
                        predios cargados, también se eliminará la
                        información cargada de dichos predios así
                        no hayan sido seleccionados.
                        Por favor asegúrese de tener el archivo
                        con los predios seleccionados, para que desde CICA
                        puedan volver a descargarse desde la opción correspondiente.
                        <br/>
                    </div>


                    <p:commandButton immediate="true" ajax="false"
                                     value="Archivo para devolver cargue al CICA"
                                     icon="ui-icon-calculator">
                        <p:fileDownload
                                value="#{registroTablasActualizacion.archivoDevueltoCica}"/>
                    </p:commandButton>


                </h:panelGrid>
            </p:fieldset>

                <p:outputPanel layout="block" style="text-align:center; margin-top:10px;">
                    <p:commandButton value="Aceptar"
                                     update=":registroTablasForm"
                                     action="#{registroTablasActualizacion.confirmarDevolverPredios}"
                                     onstart="statusDialog2.show();"
                                     oncomplete="devolverPrediosWV.hide(); statusDialog2.hide();"
                                     icon="ui-icon-check"/>
                    <p:spacer width="10"/>
                    <p:commandButton value="Rechazar" icon="ui-icon-close"
                                     onclick="devolverPrediosWV.hide();"/>
                </p:outputPanel>

                <p:spacer height="20" width="13"/>
            </h:form>
        </p:dialog>


        <p:dialog header="Resumen de predios cargados en el SNC" dynamic="true"
                  widgetVar="resumenPrediosWV" modal="true" appendToBody="true"
                  resizable="true" position="center" width="550" height="400">
            <h:form id="resumenPrediosForm">

                <p:spacer height="10" width="13"/>

                <br/>

                <legend class="legendTitle">
                    Información predios cargados (alfanuméricos)
                </legend>
                <br/>


                <p:spacer height="10" width="13"/>

                <br/>

                    <p:dataTable id="resumenPrediosDT"
                                 value="#{registroTablasActualizacion.listaResumenPredios}"
                                 var="item"
                                 paginator="true" rows="10" rowKey="#{proceso.id}"
                                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                 rowsPerPageTemplate="5,10,15" paginatorPosition="bottom"

                                 emptyMessage="No se encontraron procesos activos.">

                            <p:column headerText="Zona">
                            <h:outputText value="#{item[0]}"
                                          styleClass="outputTextStyleInTable"/>
                        </p:column>


                        <p:column headerText="Sector">
                            <h:outputText value="#{item[1]}"
                                          styleClass="outputTextStyleInTable"/>
                        </p:column>

                        <p:column headerText="Manzana">
                            <h:outputText value="#{item[2]}"
                                          styleClass="outputTextStyleInTable"/>
                        </p:column>
                        <p:column headerText="Cantidad predios">
                            <h:outputText value="#{item[3]}"
                                          styleClass="outputTextStyleInTable"/>
                        </p:column>


                    </p:dataTable>

                <p:spacer height="20" width="13"/>


                <h:outputLabel value="Predios cargados en SNC: "
                               styleClass="outputLabelStyle" />
                <h:outputText
                        value="#{registroTablasActualizacion.cantidadPrediosSnc}"
                        styleClass="outputTextStyle" />

                <p:outputPanel layout="block" style="text-align:center; margin-top:10px;">

                    <p:commandButton value="Cerrar" icon="ui-icon-close"
                                     onclick="resumenPrediosWV.hide();"/>
                </p:outputPanel>

                <p:spacer height="20" width="13"/>
            </h:form>
        </p:dialog>

        <misc:ultimateConfirmDialogCC
                confirmMessage="Advertencia.Una vez finalizado no podrá ser modificada las
                tablas cargadas, ni podrán ser adicionadas nuevas tablas y la información geográfica no podrá ser modificada."
                confirmDialogWV="confirmarLiquidacionWV"
                stringActionOnYes="#{registroTablasActualizacion.finalizarTablasActualizacion}"
                yesLabel="Aceptar" noLabel="Cancelar"
                useStringActionOnYes="true"/>


        <misc:ultimateConfirmDialogCC
                confirmMessage="¿Está seguro que desea confirmar la liquidación? Se dará inicio a
                 un proceso de aplicar todos los cambios de los predios (alfanuméricos y geográficos)
                 y no se podrán realizar modificaciones a los mismos como parte del
                 proceso de actualización."
                confirmDialogWV="confirmarFinalizacionWV"
                stringActionOnYes="#{registroTablasActualizacion.confirmarLiquidacion}"
                yesLabel="Aceptar" noLabel="Cancelar"
                confirmUpdateOnYes=":registroTablasForm"
                useStringActionOnYes="true"/>

        <misc:ultimateConfirmDialogCC
                confirmMessage="¿Está seguro de eliminar esta tabla?."
                confirmDialogWV="confirmarEliminacionWV"
                stringActionOnYes="#{registroTablasActualizacion.eliminarTabla}"
                yesLabel="Aceptar" noLabel="Cancelar"
                useStringActionOnYes="true"/>


        <misc:visualizadorMemorandosCC
                id="viewReportTerrenoOConstruccion"
                thisWVName="visorReporteTerrenoOConstruccionWV"
                nombreDialogo="Reporte"
                urlDocumento="#{registroTablasActualizacion.reporteDeTerrenoOConstruccion.urlWebReporte}"
                fileContent="#{registroTablasActualizacion.reporteDeTerrenoOConstruccion.streamedContentReporte}"
                documentoGenerado="#{registroTablasActualizacion.reporteDeTerrenoOConstruccion ne null}"
                cancelButtonEnabled="false"
                cancelButtonVisible="false"
                radicarButtonVisible="false"/>

        <misc:visualizadorMemorandosCC
                id="viewReport"
                thisWVName="visorReporteWV"
                urlDocumento="#{reportesTablasActualizacion.reporteGeneradoSeleccionado.urlWebReporte}"
                fileContent="#{reportesTablasActualizacion.reporteGeneradoSeleccionado.streamedContentReporte}"
                documentoGenerado="#{reportesTablasActualizacion.reporteGeneradoSeleccionado ne null}"
                radicarButtonVisible="false"/>


    </ui:define>


</ui:composition>
